[Launch]
ProgramExecutable="Lacey\Lacey.exe"
WorkingDirectory=%PAL:AppDir%\Lacey
SingleAppInstance=false
WaitForProgram=true
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
Lacey="HKCU\Software\CompSoft\Lacey"

[RegistryCleanupIfEmpty]
1="HKCU\Software\CompSoft"

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\Lacey.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\Lacey.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\Lacey.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\